import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule } from '@angular/common/http';
import { RouterModule, Routes } from '@angular/router';
import { FormsModule } from '@angular/forms';

import { AppComponent } from './app.component';
import { HomeComponent } from './home/home.component';

import { SearchComponent } from './search/search.component';

import { NewsComponent } from './news/news.component';
import { ArticleComponent } from './news/article/article.component';

import { StocksComponent } from './stocks/stocks.component';
import { ChartComponent } from './stocks/chart/chart.component';
import { MainComponent } from './home/main/main.component';
import { ChartDisplayComponent } from './home/chart-display/chart-display.component';
import { ScoreComponent } from './home/score/score.component';
import { TrendsComponent } from './home/trends/trends.component';
import { TopArticlesComponent } from './home/top-articles/top-articles.component';

const appRoutes: Routes = [
	{ path: 'home', component: HomeComponent }
];

@NgModule({
	declarations: [
		AppComponent,
		NewsComponent,
		HomeComponent,
		StocksComponent,
		ArticleComponent,
		SearchComponent,
		ChartComponent,
		MainComponent,
		ChartDisplayComponent,
		ScoreComponent,
		TrendsComponent,
		TopArticlesComponent
	],
	imports: [
		BrowserModule,
		HttpClientModule,
		FormsModule,
		RouterModule.forRoot( appRoutes )
	],
	providers: [],
	bootstrap: [AppComponent]
})
export class AppModule { }
