import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { StocksService } from '../stocks.service';
import { SearchService } from '../search.service';

@Component({
	selector: 'app-stocks',
	templateUrl: './stocks.component.html',
	styleUrls: ['./stocks.component.css']
})

export class StocksComponent implements OnInit {
	@Output() sendCompany = new EventEmitter();
	stockData: any;

	constructor(
		private stocksService: StocksService,
		private searchService: SearchService
	) { }

	ngOnInit() {
		this.searchService.currentQuery
			.subscribe(query => {
				if (query) {
					this.stockData = null;
					this.getStocks(query);
				}
			});
	}

	getStocks(ticker) {
		this.stocksService.getStocks(ticker)
			.subscribe(stock => {
				this.stockData = stock;
					this.sendCompany.emit(this.stockData);
			});
	}
}
