package com.stockr.server.news;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.stockr.server.sentiment.Sentiment;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

@Getter @Setter
public class Article {
    private String sourceId;
    private String sourceName;
    private String author;
    private String title;
    private String description;
    private String url;
    private String publishedAt;
    private Sentiment sentiment;

    @SuppressWarnings("unused")
    @JsonProperty("source")
    private void unpackSource(Map<String, Object> source) {
        this.sourceId = (String)source.get("id");
        this.sourceName = (String)source.get("name");
    }
}
