package com.stockr.server.news;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.node.ObjectNode;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.MissingServletRequestParameterException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

import java.io.IOException;

// TODO move controller advice as global(?)
@ControllerAdvice(basePackageClasses = NewsControllerAdvice.class)
public class NewsControllerAdvice {
    private ObjectMapper om = new ObjectMapper();

    @ExceptionHandler(MissingServletRequestParameterException.class)
    public ResponseEntity<Object> handleMissingParams(MissingServletRequestParameterException ex) throws IOException {
        return ResponseEntity
                .badRequest()
                .body(removeStackTrace(ex));
    }

    ObjectNode removeStackTrace(Exception ex) throws IOException {
        String exAsString = om.writeValueAsString(ex);
        ObjectNode o = om.readValue(exAsString, ObjectNode.class);
        o.remove("stackTrace");
        return o;
    }
}
