package com.stockr.server.sentiment;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Map;

@NoArgsConstructor
@Getter @Setter
@JsonIgnoreProperties(ignoreUnknown = true)
public class Sentiment {
    @JsonProperty("sentiment")
    String likely;
    double positive;
    double neutral;
    double negative;

    @SuppressWarnings("unused")
    @JsonProperty("probabilities")
    private void unpackSource(Map<String, Object> source) {
        this.positive = (double)source.get("positive");
        this.neutral = (double)source.get("neutral");
        this.negative = (double)source.get("negative");
    }
}
