package com.stockr.server.stocks;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import pl.zankowski.iextrading4j.api.stocks.*;

import java.util.List;

// Wrapper for BatchStocks
@Getter @Setter
@NoArgsConstructor
@JsonIgnoreProperties
public class Stocks {
    // This is NOT from the com.stockr.server.news package
    List<News> news;
    List<Chart> chart;
    Company company;
    Quote quote;

    Stocks(BatchStocks bs) {
        this.news = bs.getNews();
        this.chart = bs.getChart();
        this.company = bs.getCompany();
        this.quote = bs.getQuote();
    }
}
