package com.stockr.server.sentiment;

import com.stockr.server.news.Article;
import com.stockr.server.news.NewsService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.web.client.RestTemplateBuilder;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.*;

public class SentimentServiceTest {
    NewsService ns = new NewsService(new RestTemplateBuilder());

    SentimentService ss = new SentimentService();

    @Test
    public void sentiment_Async() throws Exception {
        ArrayList<Article> articles = ns.getAllArticles("tesla");
        List<Sentiment> sentimentArticles = ss.gas(articles);
        sentimentArticles.stream().forEach(x -> System.out.println(x.getLikely()));
    }

    @Test
    public void sentiment_Nonasync() throws Exception {
        ArrayList<Article> articles = ns.getAllArticles("tesla");
        List<Article> sentimentArticles = ss.getAllSentiments(articles);
    }
}